package com.sw.mes.enumvalue;


import com.sw.mes.core.enums.EnumValue;
import lombok.Getter;

public class EnumValuesAgv {

	/**
	 * AGV关键字
	 */
	@Getter
	public enum AGVKeyword implements EnumValue.KeyValue {
		圆棒送验("圆棒送验", "圆棒送验"), 复拉提头运输("复拉提头运输", "复拉提头运输"), 砸料拉动("砸料拉动", "砸料拉动"), 拆清车("拆清车", "拆清车"),装料发料("装料发料", "装料发料"),
		打磨拉动("打磨拉动", "打磨拉动"), 生产退料("生产退料", "生产退料"), 吊料空车("吊料空车", "吊料空车"), 复投满料("复投满料", "复投满料"),复投空车("复投空车", "复投空车"),退料呼叫("退料呼叫","退料呼叫"),
		拆清打磨发料("拆清打磨发料", "拆清打磨发料"),	送验车呼叫("送验车呼叫","送验车呼叫"),
		原料退料cancel("原料退料cancel", "原料退料cancel"),拆情回流cancel("拆情回流cancel", "拆情回流cancel"),砸料拉动cancel("砸料拉动cancel", "砸料拉动cancel"),
		提头缓存拉动cancel("提头缓存拉动cancel", "提头缓存拉动cancel"),圆棒送验cancel("圆棒送验cancel", "圆棒送验cancel"),
		库位解锁("库位解锁", "库位解锁"),开方自动退料("开方自动退料", "开方自动退料"),取晶车("取晶车", "取晶车"),
		原料拉动("原料拉动", "原料拉动");

		private AGVKeyword(String key, String value) {
			this.key = key;
			this.value = value;
		}

		public static String getText(String value) {
			AGVKeyword[] businessModeEnums = values();
			for (AGVKeyword businessModeEnum : businessModeEnums) {
				if (businessModeEnum.getKey() == value) {
					return businessModeEnum.getValue();
				}
			}
			return null;
		}

		public static AGVKeyword getEnum(String value) {
			AGVKeyword[] enums = values();
			for (AGVKeyword enumz : enums) {
				if (enumz.getKey().equals(value)) {
					return enumz;
				}
			}
			return null;
		}

		private String key;
		private String value;

	}
	
	
	/**
	 * AGV关键字
	 */
	@Getter
	public enum EquipmentAreaBLHCK implements EnumValue.KeyValue {
		一模块("一模块", "M01BLHCK"), 二模块("二模块", "M02BLHCK"), 三模块("三模块", "M03BLHCK"), 四模块("四模块", "M04BLHCK");

		private EquipmentAreaBLHCK(String key, String value) {
			this.key = key;
			this.value = value;
		}

		public static String getText(String value) {
			EquipmentAreaBLHCK[] businessModeEnums = values();
			for (EquipmentAreaBLHCK businessModeEnum : businessModeEnums) {
				if (businessModeEnum.getKey() == value) {
					return businessModeEnum.getValue();
				}
			}
			return null;
		}

		public static EquipmentAreaBLHCK getEnum(String value) {
			EquipmentAreaBLHCK[] enums = values();
			for (EquipmentAreaBLHCK enumz : enums) {
				if (enumz.getKey().equals(value)) {
					return enumz;
				}
			}
			return null;
		}

		private String key;
		private String value;

	}
	
	
	/**
	 * AGV关键字
	 */
	@Getter
	public enum EquipmentAreaDMJK implements EnumValue.KeyValue {
		一模块("一模块", "M01DMJK"), 二模块("二模块", "M02DMJK"), 三模块("三模块", "M03DMJK"), 四模块("四模块", "M04DMJK");

		private EquipmentAreaDMJK(String key, String value) {
			this.key = key;
			this.value = value;
		}

		public static String getText(String value) {
			EquipmentAreaDMJK[] businessModeEnums = values();
			for (EquipmentAreaDMJK businessModeEnum : businessModeEnums) {
				if (businessModeEnum.getKey() == value) {
					return businessModeEnum.getValue();
				}
			}
			return null;
		}

		public static EquipmentAreaDMJK getEnum(String value) {
			EquipmentAreaDMJK[] enums = values();
			for (EquipmentAreaDMJK enumz : enums) {
				if (enumz.getKey().equals(value)) {
					return enumz;
				}
			}
			return null;
		}

		private String key;
		private String value;

	}
	
	
}
